Minimal (Compiler assisted localization library (CAL10N) - Parent 0.7.7 Test API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## ch.qos.cal10n.sample
Enum Minimal

    java.lang.Object
      java.lang.Enum<Minimal>
          ch.qos.cal10n.sample.Minimal

All Implemented Interfaces:
  Serializable, Comparable<Minimal>

    public enum Minimal

extends Enum<Minimal>

The most minimal enum that CAL10N supports.

Author:
  Ceki Gülcü

Enum Constant Summary
`A`

Method Summary
`static Minimal` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Minimal[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### A

    public static final Minimal A

Method Detail

### values

    public static Minimal[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Minimal c : Minimal.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Minimal valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009-2013 QOS.ch. All Rights Reserved.